List projects
GET/api/projects
This endpoint handles both the Project List and the Pipeline Opportunities as a single "project" resource.
Required permissions:
- pipeline.view: allows view resources where the user is the PM or the Account.
- pipeline.view_other: allows view resources where the user is not the PM nor the Account.
Here the dedicated support page.
Project metadata
Project metadata appear in the response as
dynamic fields named like metadata_13 where 13 is the ID of the project metadata.
Only project metadata with a value will appear in the response.
You can get all the available project metadata using the related endpoint.
Request
Query Parameters
- Equal
- Not equal
- Greater than
- Greater than or equal
- Less than
- Less than or equal
- In list
- Not in list
- Between
- Equal
- Not equal
- Greater than
- Greater than or equal
- Less than
- Less than or equal
- In list
- Not in list
- Between
- Equal
- Not equal
- Greater than
- Greater than or equal
- Less than
- Less than or equal
- In list
- Not in list
- Between
- Equal
- Not equal
- Greater than
- Greater than or equal
- Less than
- Less than or equal
- In list
- Not in list
- Between
Possible values: <= 100
Filter items by the probability field.
Usage: eq:{value}
Usage: neq:{value}
Usage: gt:{value}
Usage: gte:{value}
Usage: lt:{value}
Usage: lte:{value}
Usage: in:{value_1},{value_2},{value_3}
Usage: nin:{value_1},{value_2},{value_3}
Description: The given values are inclusive.
Usage: bt:{value_min},{value_max}
Filter items by the date_start field.
Usage: eq:{value}
Usage: neq:{value}
Usage: gt:{value}
Usage: gte:{value}
Usage: lt:{value}
Usage: lte:{value}
Usage: in:{value_1},{value_2},{value_3}
Usage: nin:{value_1},{value_2},{value_3}
Description: The given values are inclusive.
Usage: bt:{value_min},{value_max}
Possible values: >= 1 and <= 100
Default value: 100
The number of items to include in the response.
Default value: 0
The offset of the first returned item.
Filter items by the updated_at field.
Usage: eq:{value}
Usage: neq:{value}
Usage: gt:{value}
Usage: gte:{value}
Usage: lt:{value}
Usage: lte:{value}
Usage: in:{value_1},{value_2},{value_3}
Usage: nin:{value_1},{value_2},{value_3}
Description: The given values are inclusive.
Usage: bt:{value_min},{value_max}
Possible values: [exclude, include, only]
Default value: exclude
Filter items by deletion status.
Filter items by the deleted_at field.
Usage: eq:{value}
Usage: neq:{value}
Usage: gt:{value}
Usage: gte:{value}
Usage: lt:{value}
Usage: lte:{value}
Usage: in:{value_1},{value_2},{value_3}
Usage: nin:{value_1},{value_2},{value_3}
Description: The given values are inclusive.
Usage: bt:{value_min},{value_max}
Header Parameters
The company you want to interact with
The API version you want to use
Responses
- 200
- 400
- 401
- 403
- 412
Returns the list of projects
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Possible values: >= 1
The unique identifier of the resource
The date and time when the resource was created
The date and time when the resource was last updated
The value of the project in K
Possible values: <= 100
The probability of the project
The first day of month where the project started
Possible values: >= 1
Duration of the project in months
The date the project was archived
The date the project is supposed to end
The date the project has been signed
Possible values: >= 1
ID of the job order category
Possible values: >= 1
ID of the project type
Possible values: >= 1
ID of the client
Possible values: >= 1
ID of the person who is the project manager
Possible values: >= 1
ID of the person who is the account
Possible values: >= 1
ID of the client contact
Possible values: >= 1
ID of the reason why the project is won or lost
Possible values: >= 1
ID of the business unit
Possible values: >= 1
ID of the billing group the project is in
The date and time when the resource was deleted
[
{
"id": 1,
"created_at": "2026-03-25T10:54:56.461Z",
"updated_at": "2026-03-25T10:54:56.461Z",
"name": "First project",
"job_order": "jo_001",
"purchase_order": "po_001",
"value": "1.5",
"probability": "50",
"date_start": "2024-01-01",
"duration": "4",
"is_archived": true,
"archived_on": "2024-01-01",
"due_date": "2024-01-01",
"signed_on": "2024-01-01",
"job_order_category_id": 1,
"project_type_id": 1,
"client_id": 1,
"pm_id": 1,
"account_id": 1,
"client_contact_id": 1,
"reason_why_id": 1,
"business_unit_id": 1,
"billing_group_id": 1,
"deleted_at": "2026-03-25T10:54:56.461Z"
}
]
Validation failed
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Error unique key
Human-readable message describing the error
failures
object[]
List of validation errors
Name of the field causing the error
Human-readable description of the error
{
"key": "invalid_data",
"message": "You provided invalid data. Check 'failures' for details.",
"failures": [
{
"field": "string",
"message": "string"
}
]
}
Unauthorized
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "string",
"message": "string"
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "string",
"message": "string"
}
Precondition failed
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "precondition_failure",
"message": "string"
}